# 价值分析

## 价值分析相关概念

> TTM(Trailing Twelve Months)

- 定义: TTM（Trailing Twelve Months）指的是过去12个月的财务数据，通常用于评估公司财务表现的最新情况。TTM数据相较于年度报告数据更具时效性，因为它反映了最近的财务状况，而不仅仅是过去一年的整体表现。

- 应用: TTM常用于多个财务指标的计算：
    - PE(TTM): 市盈率，基于过去四个季度的每股收益。
    - 市销率(TTM): 基于过去四个季度的营业收入。
    - 市现率(TTM): 基于过去四个季度的每股现金流量。

> PE(TTM)

定义: PE（市盈率）是指当前股价与过去四个季度每股收益（EPS）总和的比值。

$$PE(TTM)=\frac{当前股价}{每股收益(TTM)}$$

- PE(TTM) 用于衡量公司当前股价相对于其盈利能力的高低。
- 较低的PE可能意味着股票被低估，而较高的PE可能表示市场对公司未来增长的预期较高。

> PE(静)

定义: PE（静态市盈率）是指当前股价与最新年报中每股收益的比值。

$$PE(静)=\frac{当前股价}{最新年报每股收益}$$

- 这个指标提供了一个基于最新财务数据的盈利能力评估。
- 在比较不同公司的PE时，使用静态PE可以更直接反映公司财务状况。

> 市销率(TTM)

定义: 市销率是总市值与过去四个季度营业收入总和的比值。

$$市销率(TTM)=\frac{总市值}{营业收入(TTM)}$$

- 市销率用于评估公司销售收入的价值，尤其适用于尚未盈利的公司。
- 较低的市销率可能表示公司被低估，或其销售表现不佳。

总市值与前四季度营业收入总和的比值

> 市现率(TTM)

定义: 市现率是当前股价与过去四个季度每股现金流量总和的比值。

$$市现率(TTM)=\frac{当前股价}{每股现金流量(TTM)}$$

- 市现率评估公司股价相对于其现金流的价值，反映了公司的现金生成能力。
- 较低的市现率可能预示着公司被低估或现金流表现良好。

> PEG值

定义: PEG值是PE(TTM)与每股收益近3年复合增长率的比值。

$$PEG=\frac{PE(TTM)}{EPS复合年增长率}$$

- PEG值用于评估公司成长性与当前估值之间的关系。
- 一般认为，PEG值小于1表示公司被低估，反之则可能被高估。

::: wisecon.stock.valuation.stock
::: wisecon.stock.valuation.industry
::: wisecon.stock.valuation.market

------
