# 研报数据

## 研报分类

### 概念板块

> 代码

```python
from zlai.tools.report import *

mapping = ReportMapping()
conception = mapping.list_conception()
print(conception.to_frame())
```

> 数据

```text
|    |   bkCode |   fubkCode | bkName     |   publishCode | firstLetter   |
|---:|---------:|-----------:|:-----------|--------------:|:--------------|
|  0 |     1179 |        007 | 房屋检测   |        007541 | F             |
|  1 |      590 |        007 | 西部大开发 |        007070 | X             |
|  2 |     1178 |        007 | AI眼镜     |        007540 | A             |
|  3 |     1177 |        007 | 荣耀概念   |        007539 | R             |
|  4 |     1176 |        007 | 财税数字化 |        007538 | C             |
```

### 地域板块

> 代码

```python
from zlai.tools.report import *

mapping = ReportMapping()
district = mapping.list_district()
print(district.to_frame())
```

> 数据

```text
|    |   bkCode |   fubkCode | bkName   |   publishCode | firstLetter   |
|---:|---------:|-----------:|:---------|--------------:|:--------------|
|  0 |   778003 |        020 | 湖南板块 |        020013 | H             |
|  1 |   778002 |        020 | 湖北板块 |        020012 | H             |
|  2 |   778001 |        020 | 河南板块 |        020010 | H             |
|  3 |   772001 |        020 | 重庆板块 |        020031 | C             |
|  4 |   776003 |        020 | 浙江板块 |        020030 | Z             |
```

### 行业板块

> 代码

```python
from zlai.tools.report import *

mapping = ReportMapping()
industry = mapping.list_industry()
print(industry.to_frame())
```

> 数据

```text
|    |   bkCode |   fubkCode | bkName   |   publishCode | firstLetter   |
|---:|---------:|-----------:|:---------|--------------:|:--------------|
|  0 |      546 |        016 | 玻璃玻纤 |        016044 | B             |
|  1 |      545 |        016 | 通用设备 |        016043 | T             |
|  2 |      539 |        016 | 综合行业 |        016042 | Z             |
|  3 |      538 |        016 | 化学制品 |        016041 | H             |
|  4 |     1046 |        016 | 游戏     |        016087 | Y             |
```

## 研报获取

### 券商晨报

> 代码

```python
from zlai.tools.report import *

columns = ["orgName", "industryName", "title", "researcher", "publishDate", "infoCode"]
report = Report(report_type="券商晨报", size=5, begin_time="2024-09-23", end_time="2024-09-23")
data = report.load_data()
print(data.to_frame()[columns].to_markdown())
```

> 数据

```text
|    | orgName              | industryName   | title                 | researcher   | publishDate             | infoCode             |
|---:|:---------------------|:---------------|:----------------------|:-------------|:------------------------|:---------------------|
|  0 | 国金证券股份有限公司 |                | 国金晨讯              | 白晓琦       | 2024-09-23 00:00:00.000 | AP202409231639990463 |
|  1 | 英大证券有限责任公司 |                | 金点策略晨报—每周报告 | 惠祥凤       | 2024-09-23 00:00:00.000 | AP202409231639990126 |
|  2 | 英大证券有限责任公司 |                | 金点策略晨报—每日报告 | 惠祥凤       | 2024-09-23 00:00:00.000 | AP202409231639990118 |
|  3 | 东兴证券股份有限公司 |                | 东兴晨报              | 研究所       | 2024-09-23 00:00:00.000 | AP202409231639988120 |
|  4 | 山西证券股份有限公司 |                | 研究早观点            | 李召麒       | 2024-09-23 00:00:00.000 | AP202409231639982347 |
```

### 策略报告

> 代码

```python
from zlai.tools.report import *

columns = ["orgName", "industryName", "title", "researcher", "publishDate", "infoCode"]
report = Report(report_type="策略报告", size=5, begin_time="2024-09-23", end_time="2024-09-23")
data = report.load_data()
print(data.to_frame()[columns].to_markdown())
```

> 数据

```text
|    | orgName              | industryName   | title                                                                                        | researcher   | publishDate             | infoCode             |
|---:|:---------------------|:---------------|:---------------------------------------------------------------------------------------------|:-------------|:------------------------|:---------------------|
|  0 | 国信证券股份有限公司 |                | 策略周思考：筑底反弹后，该关注什么？                                                         | 陈凯畅,王开  | 2024-09-23 00:00:00.000 | AP202409231639991903 |
|  1 | 国金证券股份有限公司 |                | A股投资策略周报：美国经济若确认“硬着陆”，下个风险将是“债务违约”                              | 张弛         | 2024-09-23 00:00:00.000 | AP202409231639990462 |
|  2 | 市值风云             |                | 自诩行业领先，市占率不足1%！金陵体育：上市七年仅赚3亿，李老板沉迷短线交易和违规减持          | 白猫         | 2024-09-23 00:00:00.000 | AP202409231639987575 |
|  3 | 市值风云             |                | 扒窃对手商业数据，创始人获刑隐退幕后，元光科技：高度依赖“车来了”APP，港股IPO是起点还是终点？ | 布偶         | 2024-09-23 00:00:00.000 | AP202409231639987574 |
|  4 | 中原证券股份有限公司 |                | 市场分析：银行通信行业领涨 A股小幅上涨                                                       | 张刚         | 2024-09-23 00:00:00.000 | AP202409231639986547 |
```

### 个股研报

> 代码

- `:param code:` 股票代码，默认情况下不进行个股筛选

```python
from zlai.tools.report import *

columns = ["orgName", "stockCode", "stockName", "title", "researcher", "publishDate", "infoCode"]
report = Report(code="002222", report_type="个股研报", size=5, begin_time="2024-09-23", end_time="2024-09-23")
data = report.load_data()
print(data.to_frame()[columns].to_markdown())
```

> 数据

```text
|    | orgName              |   stockCode | stockName   | title                                                | researcher   | publishDate             | infoCode             |
|---:|:---------------------|------------:|:------------|:-----------------------------------------------------|:-------------|:------------------------|:---------------------|
|  0 | 华鑫证券有限责任公司 |      002222 | 福晶科技    | 公司事件点评报告：业绩环比改善，不断丰富产品矩阵体系 | 毛正,张璐    | 2024-09-23 00:00:00.000 | AP202409231639992204 |
```

### 宏观研究

> 代码

```python
from zlai.tools.report import *

columns = ["orgName", "title", "researcher", "publishDate", "infoCode"]
report = Report(report_type="宏观研究", size=5, begin_time="2024-09-23", end_time="2024-09-23")
data = report.load_data()
print(data.to_frame()[columns].to_markdown())
```

> 数据

```text
|    | orgName                  | title                                                      | researcher                | publishDate             | infoCode             |
|---:|:-------------------------|:-----------------------------------------------------------|:--------------------------|:------------------------|:---------------------|
|  0 | 英大证券有限责任公司     | 英大宏观点评（2024年第3期，总第3期）：美联储如期降息       | 郑罡                      | 2024-09-23 00:00:00.000 | AP202409231639990403 |
|  1 | 华金证券股份有限公司     | 财政数据点评（2024.8）：地方化债速度越快，中央扩张空间越大 | 秦泰                      | 2024-09-23 00:00:00.000 | AP202409231639990119 |
|  2 | 天风证券股份有限公司     | 宏观：预期落空后的货币和财政政策方向                       | 宋雪涛                    | 2024-09-23 00:00:00.000 | AP202409231639989657 |
|  3 | 海通国际证券集团有限公司 | 海外经济政策跟踪：美联储开启降息，日央行按兵不动           | Zhonghua Liang,Amber Zhou | 2024-09-23 00:00:00.000 | AP202409231639988174 |
|  4 | 麦高证券有限责任公司     | 宏观市场周报                                               | 徐滢                      | 2024-09-23 00:00:00.000 | AP202409231639987095 |
```

### 行业研报

> 代码

```python
from zlai.tools.report import *

columns = ["orgName", "industryName", "title", "researcher", "publishDate", "infoCode"]
report = Report(report_type="行业研报", industry_code="451", size=5, begin_time="2024-09-23", end_time="2024-09-23")
data = report.load_data()
print(data.to_frame()[columns].to_markdown())
```

> 数据

```text
|---:|:---------------------|:---------------|---------------:|:-------------------------------------------------------------------------|:--------------------------|:------------------------|:---------------------|
|  0 | 华福证券有限责任公司 | 房地产开发     |            451 | 房地产日报：江苏13市均建立房票安置体系                                   | 陈立,于怡然               | 2024-09-23 00:00:00.000 | AP202409231639991919 |
|  1 | 国信证券股份有限公司 | 房地产开发     |            451 | 房地产行业2024年10月投资策略暨中报总结：基本面难言好转，博弈机会仍需观察 | 任鹤,王粤雷,王静          | 2024-09-23 00:00:00.000 | AP202409231639986335 |
|  2 | 东兴证券股份有限公司 | 房地产开发     |            451 | 房地产行业周报：新房销售继续下行，最高法发文支持“白名单项目”融资交付     | 陈刚                      | 2024-09-23 00:00:00.000 | AP202409231639985943 |
|  3 | 开源证券股份有限公司 | 房地产开发     |            451 | 房地产行业点评报告：过往可鉴，存量房贷降息翘首而望                       | 齐东                      | 2024-09-23 00:00:00.000 | AP202409231639977137 |
|  4 | 中泰证券股份有限公司 | 房地产开发     |            451 | 房地产行业研究周报：成交维持低位，北京取消普宅与非普宅认定标准           | 由子沛,李垚,侯希得,陈希瑞 | 2024-09-23 00:00:00.000 | AP202409231639975114 |
```

### 盈利分析报告

#### 获取全部盈利预测

> 代码

```python
from zlai.tools.report import *

report = ProfitForecast(size=2)
data = report.load_data()
columns = data.metadata.get("columns")
print(data.to_frame(columns=columns).to_markdown())
```

> 数据

```text
|    | 股票代码   |   证券代码 | 证券简称   |   评级机构数量 |   买入评级数量 |   增持评级数量 | 中性评级数量   | 减持评级数量   | 卖出评级数量   |   第一年 | 第一年标记   |   第一年每股收益 |   第二年 | 第二年标记   |   第二年每股收益 |   第三年 | 第三年标记   |   第三年每股收益 |   第四年 | 第四年标记   |   第四年每股收益 | 行业板块   | 深证行业板块   | 概念指数板块                                                                                                                                          | 深证概念指数板块                    | 区域板块   | 深证区域板块   |     市场板块 |   目标最高价 |   目标最低价 |   长期评级数量 |
|---:|:-----------|-----------:|:-----------|---------------:|---------------:|---------------:|:---------------|:---------------|:---------------|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|:-----------|:---------------|:------------------------------------------------------------------------------------------------------------------------------------------------------|:------------------------------------|:-----------|:---------------|-------------:|-------------:|-------------:|---------------:|
|  0 | 600519.SH  |     600519 | 贵州茅台   |             57 |             47 |             10 |                |                |                |     2023 | A            |         59.4923  |     2024 | E            |         69.2585  |     2025 | E            |         79.2465  |     2026 | E            |         89.9783  | 酿酒行业   | N              | HS300_,MSCI中国,白酒,百元股,标准普尔,超级品牌,电商概念,富时罗素,国企改革,沪股通,机构重仓,茅指数,融资融券,上证180_,上证50_,西部大开发,央视50_,证金持股 | H,M,B,B,B,C,D,F,G,H,J,M,R,S,S,X,Y,Z | 贵州板块   | G              | 069001001001 |      2600    |      1674    |             57 |
|  1 | 603605.SH  |     603605 | 珀莱雅     |             52 |             40 |             12 |                |                |                |     2023 | A            |          3.00906 |     2024 | E            |          3.92042 |     2025 | E            |          4.85173 |     2026 | E            |          5.87592 | 美容护理   | M              | MSCI中国,QFII重仓,百元股,电商概念,富时罗素,沪股通,化妆品概念,融资融券,上证180_,转债标的,昨日触板                                                      | M,Q,B,D,F,H,H,R,S,Z,Z               | 浙江板块   | Z              | 069001001001 |       149.72 |        99.97 |             52 |
```

#### 获取某行业盈利预测

> 代码

```python
from zlai.tools.report import *

report = ProfitForecast(industry="电源设备", size=5)
data = report.load_data()
columns = data.metadata.get("columns")
print(data.to_frame(columns=columns).to_markdown())
```

> 数据

```text
|---:|:-----------|-----------:|:-----------|---------------:|---------------:|---------------:|:---------------|:---------------|:---------------|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|:-----------|:---------------|:------------------------------------------------------------------------------------------------------------|:--------------------------|:-----------|:---------------|-------------:|-------------:|-------------:|---------------:|
|  0 | 300693.SZ  |     300693 | 盛弘股份   |             21 |             13 |              8 |                |                |                |     2023 | A            |          1.29491 |     2024 | E            |          1.57714 |     2025 | E            |          2.12571 |     2026 | E            |          2.76947 | 电源设备   | D              | 充电桩,储能,创业板综,高送转,高压快充,基金重仓,融资融券,深股通,深圳特区,数据中心,专精特新                    | C,C,C,G,G,J,R,S,S,S,Z     | 广东板块   | G              | 069001002002 |        44.88 |        27.87 |             21 |
|  1 | 300820.SZ  |     300820 | 英杰电气   |             14 |             12 |              2 |                |                |                |     2023 | A            |          1.94709 |     2024 | E            |          2.71214 |     2025 | E            |          3.45786 |     2026 | E            |          4.25    | 电源设备   | D              | PLC概念,半导体概念,充电桩,储能,创业板综,第三代半导体,高送转,军工,融资融券,深股通,太阳能,西部大开发,专精特新 | P,B,C,C,C,D,G,J,R,S,T,X,Z | 四川板块   | S              | 069001002002 |        60.1  |        42.8  |             14 |
```

#### 获取某概念盈利预测

> 代码

```python
from zlai.tools.report import *

report = ProfitForecast(conception="高压快充", size=5)
data = report.load_data()
columns = data.metadata.get("columns")
print(data.to_frame(columns=columns).to_markdown())
```

> 数据

```text
|---:|:-----------|-----------:|:-----------|---------------:|---------------:|---------------:|:---------------|:---------------|:---------------|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|:-----------|:---------------|:---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:------------------------------------------|:-----------|:---------------|-------------:|-------------:|-------------:|---------------:|
|  0 | 600699.SH  |     600699 | 均胜电子   |             22 |             15 |              7 |                |                |                |     2023 | A            |         0.768929 |     2024 | E            |          1.03264 |     2025 | E            |          1.34509 |     2026 | E            |          1.62432 | 汽车零部件 | Q              | 2025规划,MSCI中国,标准普尔,车联网(车路云),充电桩,富时罗素,高压快充,沪股通,华为概念,华为汽车,机构重仓,激光雷达,融资融券,上证380,特斯拉,无人驾驶,无线充电,新能源车,英伟达概念,智能机器,中证500 | G,M,B,C,C,F,G,H,H,H,J,J,R,S,T,W,W,X,Y,Z,Z | 浙江板块   | Z              | 069001001001 |        26.26 |        20    |             22 |
|  1 | 300693.SZ  |     300693 | 盛弘股份   |             21 |             13 |              8 |                |                |                |     2023 | A            |         1.29491  |     2024 | E            |          1.57714 |     2025 | E            |          2.12571 |     2026 | E            |          2.76947 | 电源设备   | D              | 充电桩,储能,创业板综,高送转,高压快充,基金重仓,融资融券,深股通,深圳特区,数据中心,专精特新                                                                                                     | C,C,C,G,G,J,R,S,S,S,Z                     | 广东板块   | G              | 069001002002 |        44.88 |        27.87 |             21 |
```

#### 获取某地区盈利预测

> 代码

```python
from zlai.tools.report import *

report = ProfitForecast(district="北京板块", size=5)
data = report.load_data()
columns = data.metadata.get("columns")
print(data.to_frame(columns=columns).to_markdown())
```

> 数据

```text
|---:|:-----------|-----------:|:-----------|---------------:|---------------:|---------------:|:---------------|:---------------|:---------------|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|---------:|:-------------|-----------------:|:-----------|:---------------|:------------------------------------------------------------------------------------------------------------------------------------------------------------------|:------------------------------------|:-----------|:---------------|-------------:|-------------:|-------------:|---------------:|
|  0 | 688111.SH  |     688111 | 金山办公   |             44 |             34 |             10 |                |                |                |     2023 | A            |          2.849   |     2024 | E            |          3.39153 |     2025 | E            |            4.301 |     2026 | E            |          5.47064 | 软件开发   | R              | HS300_,Kimi概念,MSCI中国,百元股,国产软件,沪股通,基金重仓,科创板做市股,茅指数,人工智能,融资融券,上证180_,上证50_,信创,远程办公                                     | H,K,M,B,G,H,J,K,M,R,R,S,S,X,Y       | 北京板块   | B              | 069001001006 |        399   |       228.53 |             44 |
|  1 | 300896.SZ  |     300896 | 爱美客     |             42 |             30 |             12 |                |                |                |     2023 | A            |          6.14499 |     2024 | E            |          8.55057 |     2025 | E            |           10.919 |     2026 | E            |         13.5835  | 美容护理   | M              | HS300_,MSCI中国,百元股,创业板综,创业成份,化妆品概念,基金重仓,减肥药,茅指数,宁组合,融资融券,深成500,深股通,深证100R,医疗美容,医疗器械概念,昨日涨停,昨日涨停_含一字 | H,M,B,C,C,H,J,J,M,N,R,S,S,S,Y,Y,Z,Z | 北京板块   | B              | 069001002002 |        429.3 |       189    |             42 |
```

####

## 研报使用

### 保存为本地PDF

> 代码

```python
from zlai.tools.report import *

report = Report(
    report_type="行业研报", industry_code="451", size=5, begin_time="2024-09-23",
    end_time="2024-09-23")
report.save_pdf(report_code=["AP202409231639991919"], path="../fund/")
```

### 读取为`bytes`进行文本分析

> 代码

```python
from zlai.tools.report import *
from zlai.documents.pdf import ReadPDF

report = Report()
pdf_bytes = report.load_pdf_bytes(report_code=["AP202409231639991919"])

code, stream = pdf_bytes[0]
pdf = ReadPDF(stream=stream)
for page in pdf.documents:
    print("metadata: ", page.metadata)
    print("content: ", page.page_content)
    print("image: ", page.page_images[0])
    break
```

> 结果

```text
metadata: {'path': None, 'page_number': 0, 'image_num': 2}
content:  <报告文本省略>
image:  <图片省略>
```

<img src="./img/tools/report_image.png">

------
